commit:     7899b1c6936f60b330b7b972d803c87ebe2949c7
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  9 16:56:39 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep  9 18:00:27 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7899b1c6

net-libs/libssh: add 0.11.3

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/libssh/Manifest             |   1 +
 net-libs/libssh/libssh-0.11.3.ebuild | 144 +++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/net-libs/libssh/Manifest b/net-libs/libssh/Manifest
index 5ab0fa6c3c4b..ec88a274afb1 100644
--- a/net-libs/libssh/Manifest
+++ b/net-libs/libssh/Manifest
@@ -1 +1,2 @@
 DIST libssh-0.11.2.tar.xz 619428 BLAKE2B 
7f4a97b2027e386f5bfd308b1aac1938484722d4d1bb55ce0fa2de8358bedea47955df1cb4e68679033d1a5538058422770872f2f6513a82199ff506eccfad0e
 SHA512 
15d56c3f82ee81c3ab4af2b17eba054626bb53c3337ef45f829479f8b64c552f6e7cbf307e41c9792bcb3438f282d2690acbe994150bd03a8b6c21ba8b1cfe50
+DIST libssh-0.11.3.tar.xz 622776 BLAKE2B 
859e4af9bf6305e54175e456d153a85e678a6fc49ac184dbe09d94ab01dde42f0321f5a2ac35cf4ca9df188daab6c4bf3171dcd8a3776419a3a1a20474ccf89a
 SHA512 
0670bee29a7cf5507dba7dd82b82cd8a926b83a43cee441fa8a698be2523b16aacb392433f9e63887bd72e6eb817667f6ef986f292f335d1856759af4ede40c4

diff --git a/net-libs/libssh/libssh-0.11.3.ebuild 
b/net-libs/libssh/libssh-0.11.3.ebuild
new file mode 100644
index 000000000000..26043006a47a
--- /dev/null
+++ b/net-libs/libssh/libssh-0.11.3.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib dot-a
+
+DESCRIPTION="Access a working SSH implementation by means of a library"
+HOMEPAGE="https://www.libssh.org/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.libssh.org/projects/libssh.git";
+else
+       SRC_URI="https://www.libssh.org/files/$(ver_cut 1-2)/${P}.tar.xz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0/4" # subslot = soname major version
+IUSE="debug doc examples gssapi mbedtls pcap server +sftp static-libs test 
zlib"
+# Maintainer: check IUSE-defaults at DefineOptions.cmake
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !mbedtls? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+       gssapi? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
+       mbedtls? ( net-libs/mbedtls:3=[${MULTILIB_USEDEP},threads] )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               >=dev-util/cmocka-0.3.1[${MULTILIB_USEDEP}]
+               elibc_musl? ( sys-libs/argp-standalone )
+       )
+"
+BDEPEND="doc? ( app-text/doxygen[dot] )"
+
+DOCS=( AUTHORS CHANGELOG README )
+
+src_prepare() {
+       # Remove custom find module to use system one
+       rm cmake/Modules/FindMbedTLS.cmake || die
+
+       cmake_src_prepare
+
+       # just install the examples, do not compile them
+       cmake_comment_add_subdirectory examples
+
+       sed -e "/^check_include_file.*HAVE_VALGRIND_VALGRIND_H/s/^/#DONT /" \
+               -i ConfigureChecks.cmake || die
+
+       if use test; then
+               local skip_tests=(
+                       # keyfile torture test is currently broken
+                       -e "/torture_keyfiles/d"
+
+                       # Tries to expand ~ which fails w/ portage homedir
+                       # (torture_path_expand_tilde_unix and 
torture_config_make_absolute_no_sshdir)
+                       -e "/torture_misc/d"
+                       -e "/torture_config/d"
+               )
+
+               # Disable tests that take too long (bug #677006)
+               if use sparc; then
+                       skip_tests+=(
+                               -e "/torture_threads_pki_rsa/d"
+                               -e "/torture_pki_dsa/d"
+                       )
+               fi
+
+               if (( ${#skip_tests[@]} )) ; then
+                       sed -i "${skip_tests[@]}" 
tests/unittests/CMakeLists.txt || die
+               fi
+
+               if use elibc_musl; then
+                       sed -e "/SOLARIS/d" \
+                               -i tests/CMakeLists.txt || die
+               fi
+       fi
+}
+
+src_configure() {
+       lto-guarantee-fat
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local mycmakeargs=(
+               -DWITH_NACL=OFF
+               -DWITH_STACK_PROTECTOR=OFF
+               -DWITH_STACK_PROTECTOR_STRONG=OFF
+               -DWITH_DEBUG_CALLTRACE=$(usex debug)
+               -DWITH_DEBUG_CRYPTO=$(usex debug)
+               # Deprecated per CMakeLists.txt
+               -DWITH_GCRYPT=OFF
+               -DWITH_GSSAPI=$(usex gssapi)
+               -DWITH_MBEDTLS=$(usex mbedtls)
+               -DMBEDTLS_FOUND=$(usex mbedtls) # Enforce variable from custom 
find module
+               -DWITH_PCAP=$(usex pcap)
+               -DWITH_SERVER=$(usex server)
+               -DWITH_SFTP=$(usex sftp)
+               -DBUILD_STATIC_LIB=$(usex static-libs)
+               # TODO: try enabling {CLIENT,SERVER}_TESTING
+               -DUNIT_TESTING=$(usex test)
+               -DWITH_ZLIB=$(usex zlib)
+       )
+
+       multilib_is_native_abi || mycmakeargs+=( 
-DCMAKE_DISABLE_FIND_PACKAGE_Doxygen=ON )
+
+       cmake_src_configure
+}
+
+multilib_src_compile() {
+       cmake_src_compile
+       multilib_is_native_abi && use doc && cmake_src_compile docs
+}
+
+multilib_src_test() {
+       cmake_src_test --timeout 3000
+}
+
+multilib_src_install() {
+       cmake_src_install
+       multilib_is_native_abi && use doc && local HTML_DOCS=( 
"${BUILD_DIR}"/doc/html/. )
+
+       use static-libs && dolib.a src/libssh.a
+
+       # compatibility symlink until all consumers have been updated
+       # to no longer use libssh_threads.so
+       dosym libssh.so /usr/$(get_libdir)/libssh_threads.so
+}
+
+multilib_src_install_all() {
+       strip-lto-bytecode
+       use mbedtls && DOCS+=( README.mbedtls )
+       einstalldocs
+
+       if use examples; then
+               docinto examples
+               dodoc examples/*.{c,h,cpp}
+       fi
+}

Reply via email to